#ifndef GLUTILS_H
#define GLUTILS_H

/******************************** font stuff *********************************/

/* using a simple glCallLists fixed width font that's _way_ faster than
   glut's fonts on nvidia, at least */
void DrawString( float x, float y, char *string, int font_id=-1 );             // screen space string
void DrawStringOrthoPixels( float x, float y, char *string, int font_id=-1 );  // don't set matrix, assume PushOrthoPixels()
float GetTextHeight( int font_id=-1 );
float GetTextWidth( char *string, int font_id=-1 );
int unsigned GetFontBase( int font_id=-1 );       // if you want to draw it yourself

// which font to use on subsequent calls
void SetDefFont( int font_id );

/**************************** misc drawing stuff *****************************/

void DrawTimingBars( void );        // groovy fps counter with hysteresis
void PushOrthoPixels( void );
void PopOrthoPixels( void );
int unsigned gl_texture_from_bitmap(unsigned char *bits, int width, int height,
                                    int bytes_per_pixel);


#endif // GLUTILS_H
